Api referenceExports

List export tasks

GET
/v1/exports

List export tasks for the current API key owner. Tasks created from projects include a nullable projectId.

Authorization

BearerAuth
AuthorizationBearer <token>

Send an existing generated API key as Authorization: Bearer sk_indream_.... OAuth access tokens are not accepted by the Open API. Enter the API key manually in the interactive docs playground. The value is stored only in the current browser and is not injected from server environment variables.

In: header

Query Parameters

pageSize?integer
Default20
Range1 <= value <= 50
pageCursor?string
createdByApiKeyId?string
Formatuuid

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://api.indream.ai/v1/exports"
{
  "data": [
    {
      "taskId": "string",
      "projectId": "5a8591dd-4039-49df-9202-96385ba3eff8",
      "createdByApiKeyId": "string",
      "clientTaskId": "string",
      "status": "PENDING",
      "progress": 0,
      "exportPhase": "rendering",
      "error": "string",
      "outputUrl": "string",
      "filename": "string",
      "durationSeconds": 0,
      "billedStandardSeconds": 0,
      "chargedCredits": "string",
      "callbackUrl": "string",
      "createdAt": "2019-08-24T14:15:22Z",
      "completedAt": "2019-08-24T14:15:22Z"
    }
  ],
  "meta": {
    "nextPageCursor": "string"
  }
}
{
  "type": "FORBIDDEN",
  "title": "Forbidden",
  "status": 403,
  "detail": "The current account is not eligible for this Open API route",
  "errorCode": "OPEN_API_RUNTIME_ACCESS_FORBIDDEN"
}
{
  "type": "FORBIDDEN",
  "title": "Forbidden",
  "status": 403,
  "detail": "The current account is not eligible for this Open API route",
  "errorCode": "OPEN_API_RUNTIME_ACCESS_FORBIDDEN"
}
{
  "type": "FORBIDDEN",
  "title": "Forbidden",
  "status": 403,
  "detail": "The current account is not eligible for this Open API route",
  "errorCode": "OPEN_API_RUNTIME_ACCESS_FORBIDDEN"
}